package org.bdware.sc.sequencing;

public enum PBFTType {
	Request(0), PrePrepare(1), Prepare(2), Commit(3), Reply(4), Unknown(5), ReSend(6), AddMember(7);
	private int type;

	PBFTType(int i) {
		type = i;
	}

	public static PBFTType fromByte(int i) {
		switch (i) {
		case 0:
			return Request;
		case 1:
			return PrePrepare;
		case 2:
			return Prepare;
		case 3:
			return Commit;
		case 4:
			return Reply;
		case 6:
			return ReSend;
		case 7:
			return AddMember;
		default:
			return Unknown;
		}
	}

	public int toInt() {
		return type;
	}
}
